function love.load()
	 pixels={}
	 lines={}
	 count=0
	 acount=0
	 lcount=0
	 alcount=0
	 
	 lastpx=nil --they are here just so I can organize myself better
	 lastpy=nil --they are here just so I can organize myself better
	 newpx=nil --they are here just so I can organize myself better
	 newpx=nil --they are here just so I can organize myself better
	 
	 is=false
	 
	 
	 
	 love.graphics.setMode(love.graphics.getWidth(),love.graphics.getHeight(),false,false,0)
end

function love.draw()
	 if lastpx and created then --checks if there are at least two pixels to connect and if a new pixel was created
		 local line={}
		 line.x1,line.y1,line.x2,line.y2=lastpx,lastpy,newpx,newpy
		 lines[#lines+1]=line
		 lcount=lcount+1
		 alcount=alcount+1
		 created=false
	 end
	 
	 love.graphics.setCaption(love.timer.getFPS())
	 if screen then --checks if there an image to draw to the screen
		 love.graphics.draw(screen,0,0)
	 end
	 
	 for i,v in pairs(pixels) do --draws the independent pixels
		 for ii,v in pairs(pixels[i]) do
			 love.graphics.rectangle('fill',i,ii,1,1)
		 end
	 end
	 for i,v in pairs(lines) do --draws the independent lines
		 love.graphics.line(v.x1,v.y1,v.x2,v.y2)
	 end
	 
	 if count==250 or (not love.mouse.isDown('l') and is) then --checks if the count of independet pixels has supressed 250 or if the mouse is STILL down or not
		 screen=love.graphics.newScreenshot()
		 screen=love.graphics.newImage(screen)
		 count=0 --resets count of independent pixel count
		 lcount=0 --resets count of independent line count
		 pixels={} --resets independent pixel table
		 lines={} --resets independent line table
		 lastpx=nil
		 lastpy=nil
		 newpx=nil
		 newpy=nil
		 is=not is --just found out I could do this xD pretty cool huh ?
	 end
	 
	 --prints info vars
	 love.graphics.print('Number of independent pixels: '..count,1,1)
	 love.graphics.print('Number of independent lines: '..lcount,1,1+love.graphics.getFont():getHeight())
	 love.graphics.print('Total number of pixels: '..acount,1,1+love.graphics.getFont():getHeight()*2)
	 love.graphics.print('Total number of lines: '..alcount,1,1+love.graphics.getFont():getHeight()*3)
	 love.graphics.print('Mouse is being pressed: '..tostring(is),1,1+love.graphics.getFont():getHeight()*4)
	 
	 if love.mouse.isDown('l') then --records independent pixels to table
		 is=true
		 if type(pixels[love.mouse.getX()])=='table' then if pixels[love.mouse.getX()][love.mouse.getY()]~=nil then return end end
		 pixels[love.mouse.getX()]=pixels[love.mouse.getX()] or {}
		 pixels[love.mouse.getX()][love.mouse.getY()]=true
		 lastpx=newpx or nil
		 lastpy=newpy or nil
		 newpx,newpy=love.mouse.getPosition()
		 count=count+1
		 acount=acount+1
		 created=true
	 end
end